\name{show-methods}
\docType{methods}
\alias{show}
\alias{show-methods}
\alias{show,ANY-method}
\alias{show,classRepresentation-method}
\alias{show,Factorization-method}
\alias{show,genericFunction-method}
\alias{show,MethodDefinition-method}
\alias{show,MethodSelectionReport-method}
\alias{show,MethodWithNext-method}
\alias{show,ObjectsWithPackage-method}
\alias{show,oldClass-method}
\alias{show,signature-method}
\alias{show,traceable-method}
\title{Plot Statistics of a Matrix Factorization}
\description{
  This function plots statistics on a matrix factorization
  which is stored as an instance of
  \code{\link[fabia]{Factorization-class}}.}
\section{Methods}{
\describe{

\item{\code{signature(object = "ANY")}}{ generic }

\item{\code{signature(object = "classRepresentation")}}{ other }

\item{\code{signature(object = "Factorization")}}{Plot Statistics of a Matrix Factorization }

\item{\code{signature(object = "genericFunction")}}{ other }

\item{\code{signature(object = "MethodDefinition")}}{  other }

\item{\code{signature(object = "MethodSelectionReport")}}{ other }

\item{\code{signature(object = "MethodWithNext")}}{ other }

\item{\code{signature(object = "ObjectsWithPackage")}}{ other }

\item{\code{signature(object = "oldClass")}}{  other }

\item{\code{signature(object = "signature")}}{  other }

\item{\code{signature(object = "traceable")}}{  other }
}}
\usage{show(object)}
\arguments{
   \item{object}{An instance of \code{\link[fabia]{Factorization-class}}
   .}
 }
\details{

  Following is plotted:
  
    1) the information content of biclusters.
    
    2) the information content of samples.
    
    3) the loadings per bicluster.
    
    4) the factors per bicluster.
  
  
}
\value{
  \item{}{no value.}
  }
\seealso{
\code{\link{fabi}},
\code{\link{fabia}},
\code{\link{fabiap}},
\code{\link{fabias}},
\code{\link{fabiasp}},
\code{\link{mfsc}},
\code{\link{nmfdiv}},
\code{\link{nmfeu}},
\code{\link{plot}},
\code{\link{extract_plot}},
\code{\link{extract_bic}},
\code{\link{plotBicluster}},
\code{\link{Factorization}},
\code{\link{nprojfunc}},
\code{\link{projfunc}},
\code{\link{estimateMode}},
\code{\link{make_fabi_data}},
\code{\link{make_fabi_data_blocks}},
\code{\link{make_fabi_data_pos}},
\code{\link{make_fabi_data_blocks_pos}},
\code{\link{myImagePlot}},
\code{\link{Breast_A}},
\code{\link{DLBCL_B}},
\code{\link{Multi_A}},
\code{\link{eqscplotLoc}},
\code{\link{summary}},
\code{\link{show}},
\code{\link{showSelected}},
\code{\link{fabiaDemo}},
\code{\link{fabiaVersion}}
}
\author{Sepp Hochreiter}
\examples{

#---------------
# TEST
#---------------

dat <- make_fabi_data_blocks(n = 100,l= 50,p = 3,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]


resEx <- fabia(X,3,0.1,100,1.0,1.0)

show(resEx)

}
\keyword{manip}
\keyword{methods}

